GuidesAPI Reference
Log In
API Reference

Create Partner Client Revenue

The create Revenue Claims endpoint is used to send Partner Client Revenue Claim data which Liberis will use as part of an Eligibility Check for a given Partner Client.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Definitions

unique_reference

The unique reference on a revenue claim is a key identifier for each revenue claim. It is recommended that this is deterministic in nature, so that it is re-creatable your side to represent a unique revenue claim at a point in time.

This ensures consistent operations within the Liberis ecosystem for you and Liberis.

currency

We accept only one currency as part of your integration. This will be aligned with you during onboarding.

For example:

  • EUR: for European companies
  • GBP: for British companies
  • USD: for United States companies
  • etc...

time_period

We accept two levels of granularity for time period:

  • Monthly
  • Daily

Monthly Revenue Claims

To send a revenue claim at a monthly level of granularity, the start and end dates should represent the start and end of the month the revenue claim is related to.
i.e.

  • start_date: 2025-01-01T00:00:00:000
  • end_date: 2025-01-31T23:59:59:999

Daily revenue Claims

To send a revenue claim at a daily level of granularity, the start and end dates should represent the start and end of the day the revenue claim is related to.
i.e.

  • start_date: 2025-01-01T00:00:00:000
  • end_date:2025-01-01T23:59:59:999

payment_channel

The payment_channel object is optional. If provided, id and start_date are required. The provider field is optional and can be used to identify the acquirer or payment provider associated with the channel. If omitted, provider defaults to null.

total_amount & transaction_count

At Liberis, we view revenue claims as either positively or negatively influencing revenue. Typically, in the world of transaction you might see a positive influencing transaction type being a sale and a negatively influencing transaction type being a return / chargeback

We simplified and extracted the concept of transactions and transaction types in our API and to indicate how a revenue claim influences a partner clients revenue, you should send total amount and transaction count in the same mathematical signage (i.e + or -) to indicate if this increases or decreases revenue.

For example, a positively influencing revenue claims (i.e a sale), would have these properties set with positive signage, as below:

i.e. 1000 sales with a total value of £10,000

  • total_amount: 10000
  • transaction_count: 1000

A negatively influencing revenue claims (i.e a return or chargeback), would have both these properties set with negative signage, as below:

i.e. 10 returns with a value of £1000

  • total_amount: -100
  • transaction_count: -10
Body Params
RAW_BODY
array of objects
required
RAW_BODY*
Headers
string
required

A unique value of maximum string length of 255 characters. V4 UUIDs preferred

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json